# Confirm Request

To use this feature you must have the API key. Read [here](broken://pages/GfKv0bUp3AY62NRSMDOW) to view how to get our API key.

## Link API Postman

## Confirm to end of the Energy rental.

After using all the energy, confirm that the system will end the rental order. The sooner you confirm, the more costs you save.

<mark style="color:orange;">`POST`</mark> `https://api.tronsave.io/v0/fast-charge-order-confirmation`

Confirm to end of the Energy rental by [API key](broken://pages/GfKv0bUp3AY62NRSMDOW)

Rate limi&#x74;***: 1** request per **2** seconds*

**Headers**

<table><thead><tr><th width="131"> Name</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td>apikey<mark style="color:red;">*</mark></td><td>String</td><td>Tronsave API key that present for the internal account</td></tr></tbody></table>

**Request Body**

<table><thead><tr><th width="190">Name</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_ids</td><td>Array</td><td>Array orderID. A list of order IDs that have been created and need to <strong>be confirmed</strong>.</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK" %}

```java
{
    "confirmation_results": [
        {
            "order_id": string, // id of order
            "is_success": boolean, //he status of the cancel action
            "fail_reason": string,// By default, a successful cancel returns null. If the cancel fails, it will return the reason for failure.
        }
    ]
}
```

{% endtab %}
{% endtabs %}

***Example***

{% tabs %}
{% tab title="Body" %}

```java
{
    "order_ids": [
        "673d5fe2d2451e67c4d09483"
    ]
}
```

{% endtab %}

{% tab title="Headers" %}

```java
{
  "apikey": <YOUR_API_KEY>
}
```

{% endtab %}

{% tab title="Success Response" %}

```java
{
    "confirmation_results": [
        {
            "order_id": "673d5fe2d2451e67c4d09483",
            "is_success": true,
            "fail_reason": null
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tronsave.io/developer/fast-charge-api/confirm-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
